petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESSetConvergenceTest

Sets the function that is to be used to test for convergence of the nonlinear iterative solution.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetConvergenceTest(SNES snes,PetscErrorCode (*SNESConvergenceTestFunction)(SNES,PetscInt,PetscReal,PetscReal,PetscReal,SNESConvergedReason*,void*),void *cctx,PetscErrorCode (*destroy)(void*))

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| SNESConvergenceTestFunction | - routine to test for convergence
| cctx | - [optional] context for private data for the convergence routine (may be NULL)
| destroy | - [optional] destructor for the context (may be NULL; PETSC_NULL_FUNCTION in Fortran)

### See Also

SNESConvergedDefault(), SNESConvergedSkip(), SNESConvergenceTestFunction

### Level

advanced

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex5f.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages